<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('form_entertainment_presentation', function (Blueprint $table) {
            $table->dropColumn('bukti1');
            $table->dropColumn('bukti2');
            $table->dropColumn('bukti3');

            $table->string('bukti_total')->after('approved_total')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('form_entertainment_presentation', function (Blueprint $table) {
            $table->string('bukti1')->after('approved_total')->nullable()->change();
            $table->string('bukti2')->after('bukti1')->nullable()->change();
            $table->string('bukti3')->after('bukti2')->nullable()->change();

            $table->dropColumn('bukti_total');
        });
    }
};
